test-gendoc: mute gendoc stderr
Solaris had problems with zh_CN and warned "couldn't set locale correctly" on
stderr. We don't care.
--- a/tests/test-gendoc Fri Sep 24 02:52:12 2010 +0200
+++ b/tests/test-gendoc Fri Sep 24 02:57:15 2010 +0200
@@ -11,7 +11,7 @@
echo "% extracting documentation from $LOCALE"
echo ".. -*- coding: utf-8 -*-" > gendoc-$LOCALE.txt
echo "" >> gendoc-$LOCALE.txt
- LC_ALL=$LOCALE python $TESTDIR/../doc/gendoc.py >> gendoc-$LOCALE.txt || exit
+ LC_ALL=$LOCALE python $TESTDIR/../doc/gendoc.py >> gendoc-$LOCALE.txt 2> /dev/null || exit
# We call runrst without adding "--halt warning" to make it report
# all errors instead of stopping on the first one.